Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/cvltr_spl.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/cvltr_spl.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/cvltr_spl.F90	(revision 5116)
@@ -175,5 +175,5 @@
 
 !  scavON=.TRUE.
-!  if(scavON) then
+!  IF(scavON) THEN
 !   ccntrAA_coef     = 1.
 !   ccntrENV_coef    = 1.
@@ -251,5 +251,5 @@
   DO j=1,klev
    DO i=1,klon
-    if(ev(i,j)<1.e-16) then
+    IF(ev(i,j)<1.e-16) THEN
      evap(i,j)=0.
     else
@@ -261,6 +261,6 @@
   DO j=1,klev
    DO i=1,klon
-   if(j<klev) then
-    if(epIN(i,j)<1.e-32) then
+   IF(j<klev) THEN
+    IF(epIN(i,j)<1.e-32) THEN
      ep(i,j)=0.
     else
@@ -270,25 +270,25 @@
     ep(i,j)=epmax
    endif
-    if(mpIN(i,j)<1.e-32) then
+    IF(mpIN(i,j)<1.e-32) THEN
      mp(i,j)=0.
     else
      mp(i,j)=mpIN(i,j)
     endif
-    if(pmflxsIN(i,j)<1.e-32) then
+    IF(pmflxsIN(i,j)<1.e-32) THEN
      pmflxs(i,j)=0.
     else
      pmflxs(i,j)=pmflxsIN(i,j)
     endif
-    if(pmflxrIN(i,j)<1.e-32) then
+    IF(pmflxrIN(i,j)<1.e-32) THEN
      pmflxr(i,j)=0.
     else
      pmflxr(i,j)=pmflxrIN(i,j)
     endif
-    if(wdtrainA(i,j)<1.e-32) then
+    IF(wdtrainA(i,j)<1.e-32) THEN
      Pa(i,j)=0.
     else
      Pa(i,j)=wdtrainA(i,j)
     endif
-    if(wdtrainM(i,j)<1.e-32) then
+    IF(wdtrainM(i,j)<1.e-32) THEN
      Pm(i,j)=0.
     else
@@ -415,5 +415,5 @@
      DO j=k-1,1,-1
         DO i=1,klon
-           if(mp(i,j+1)>1.e-10) then
+           IF(mp(i,j+1)>1.e-10) THEN
               zmd(i,j,k)=zmd(i,j+1,k)*min(1.,mp(i,j)/mp(i,j+1)) !det ~ mk(j)=mk(j+1)*mp(i,j)/mp(i,j+1)
            ENDif
@@ -432,5 +432,5 @@
      DO j=1,klev-1
         DO i=1,klon
-        if(mp(i,j+1)>1.e-10) then
+        IF(mp(i,j+1)>1.e-10) THEN
           qTrdi(i,j+1,it)=qTrdi(i,j+1,it)+(zmd(i,j+1,k)/mp(i,j+1))*tr(i,k,it)
         else
@@ -526,6 +526,6 @@
   DO j=1,klev
      DO i=1,klon
-        if(j>=icb(i).and.j<=inb(i)) then
-          if(clw(i,j)>1.e-16) then
+        IF(j>=icb(i).and.j<=inb(i)) THEN
+          IF(clw(i,j)>1.e-16) THEN
 !           qPa(i,j,it)=ccntrAA_coef*tr(i,1,it)/clw(i,j)
            qPa(i,j,it)=ccntrAA_coef3d(i,j)*tr(i,1,it)/clw(i,j)
@@ -543,7 +543,7 @@
       DO k=1,j-1
         DO i=1,klon
-        if(k>=icb(i).and.k<=inb(i).and.&
-           j<=inb(i)) then
-            if(elij(i,k,j)>1.e-16) then
+        IF(k>=icb(i).and.k<=inb(i).and.&
+           j<=inb(i)) THEN
+            IF(elij(i,k,j)>1.e-16) THEN
 !JE             qMeltmp(i,j,it)=((1-ep(i,k))*ccntrAA_coef*tr(i,1,it)&
 !JE                         *(1.-sij(i,k,j))  +ccntrENV_coef&
@@ -564,5 +564,5 @@
      DO j=1,klev
         DO i=1,klon
-          if(Mint(i,j)>1.e-16) then
+          IF(Mint(i,j)>1.e-16) THEN
            qMel(i,j,it)=qpmMint(i,j,it)/Mint(i,j)
           else
@@ -575,5 +575,5 @@
    DO j=klev-1,1,-1
     DO i=1,klon
-     if(mp(i,j+1)>mp(i,j).and.mp(i,j+1)>1.e-10) then  ! detrainement
+     IF(mp(i,j+1)>mp(i,j).and.mp(i,j+1)>1.e-10) then  ! detrainement
        kappa(i,j)=((pmflxr(i,j+1)+pmflxs(i,j+1)+Pa(i,j)+Pm(i,j))*&
                 (-mp(i,j+1)-imp(i,j)/RG*dxpres(i,j))&
@@ -581,5 +581,5 @@
              
      elseif(mp(i,j)>mp(i,j+1).and.mp(i,j)>1.e-10) then! entrainement
-       if(j==1) then
+       IF(j==1) THEN
         kappa(i,j)=((pmflxr(i,j+1)+pmflxs(i,j+1)+Pa(i,j)+Pm(i,j))*&
                  (-mp(i,2)-imp(i,j)/RG*dxpres(i,j))&
@@ -600,7 +600,7 @@
     if (abs(kappa(i,j))<1.e-25) then    !si denominateur nul (il peut y avoir des mp!=0)
      kappa(i,j)=1.
-     if(j==1) then
+     IF(j==1) THEN
        qDi(i,j,it)=qDi(i,j+1,it) !orig tr(i,j,it)   ! mp(1)=0 donc tout vient de la couche supérieure
-     elseif(mp(i,j+1)>mp(i,j).and.mp(i,j+1)>1.e-10) then
+     elseif(mp(i,j+1)>mp(i,j).and.mp(i,j+1)>1.e-10) THEN
        qDi(i,j,it)=qDi(i,j+1,it)
      elseif(mp(i,j)>mp(i,j+1).and.mp(i,j)>1.e-10) then! entrainement
@@ -610,5 +610,5 @@
      endif 
 
-      if(NO_precip(i,j)) then
+      IF(NO_precip(i,j)) THEN
        qPr(i,j,it)=0.
       else
@@ -622,13 +622,13 @@
 ! calcul de qd et qp
 !!jyg  (20130119) correction pour le sommet du nuage
-!!     if(j.ge.inb(i)) then       !au-dessus du nuage, sommet inclu
-     if(j>inb(i)) then       !au-dessus du nuage
+!!     IF(j.ge.inb(i)) then       !au-dessus du nuage, sommet inclu
+     IF(j>inb(i)) then       !au-dessus du nuage
        qDi(i,j,it)=tr(i,j,it)   ! pas de descente => environnement = descente insaturee
        qPr(i,j,it)=0.
 
 !  vvv premiere couche du modele ou mp(1)=0  ! det tout le temps  vvv
-     elseif(j==1) then
-      if(mp(i,2)>1.e-10) then !mp(2) non nul -> detrainement (car mp(1) = 0) !ent pas possible
-       if(NO_precip(i,j)) then !pas de precip en (i)
+     elseif(j==1) THEN
+      IF(mp(i,2)>1.e-10) then !mp(2) non nul -> detrainement (car mp(1) = 0) !ent pas possible
+       IF(NO_precip(i,j)) then !pas de precip en (i)
         qDi(i,j,it)=qDi(i,j+1,it)
         qPr(i,j,it)=0.
@@ -649,5 +649,5 @@
       else !mp(2) nul -> plus de descente insaturee -> pluie agit sur environnement
         qDi(i,j,it)=tr(i,j,it) ! orig 0.
-        if(NO_precip(i,j)) then
+        IF(NO_precip(i,j)) THEN
          qPr(i,j,it)=0.
         else
@@ -663,6 +663,6 @@
      else 
 !------------------------------------------------------------- detrainement 
-      if(mp(i,j+1)>mp(i,j).and.mp(i,j+1)>1.e-10) then !mp(i,j).gt.1.e-10) then
-         if(NO_precip(i,j)) then 
+      IF(mp(i,j+1)>mp(i,j).and.mp(i,j+1)>1.e-10) then !mp(i,j).gt.1.e-10) THEN
+         IF(NO_precip(i,j)) THEN
           qDi(i,j,it)=qDi(i,j+1,it)
           qPr(i,j,it)=0.
@@ -681,6 +681,6 @@
          endif !precip
 !------------------------------------------------------------- entrainement 
-      elseif(mp(i,j)>mp(i,j+1).and.mp(i,j)>1.e-10) then
-         if(NO_precip(i,j)) then
+      elseif(mp(i,j)>mp(i,j+1).and.mp(i,j)>1.e-10) THEN
+         IF(NO_precip(i,j)) THEN
           qDi(i,j,it)=(-mp(i,j+1)*(qDi(i,j+1,it)-tr(i,j,it))-mp(i,j)*tr(i,j,it))/(-mp(i,j))
           qPr(i,j,it)=0.
@@ -702,5 +702,5 @@
       else  !mp nul
         qDi(i,j,it)=tr(i,j,it) ! orig 0.
-        if(NO_precip(i,j)) then
+        IF(NO_precip(i,j)) THEN
          qPr(i,j,it)=0.
         else
@@ -719,6 +719,6 @@
 !  DO j=klev,1,-1
 !   DO i=1,klon
-!     if(it.eq.3) then
-!   write(*,'(I2,2X,a,e20.12,2X,a,e20.12,2X,a,e20.12,2X,a,e20.12,2X,a,e20.12,2X,a,e20.12,2X,a,e20.12)') j,&
+!     IF(it.eq.3) THEN
+!   WRITE(*,'(I2,2X,a,e20.12,2X,a,e20.12,2X,a,e20.12,2X,a,e20.12,2X,a,e20.12,2X,a,e20.12,2X,a,e20.12)') j,&
 !!         'zmfdam',zmfdam(i,j,it),'zmfpsi',zmfphi2(i,j,it),&
 !          'zmfdam+zmfpsi',zmfdam(i,j,it)+zmfphi2(i,j,it),'qpmMint',qpmMint(i,j,it),&
@@ -750,34 +750,34 @@
                -zmfdam(i,k,it)*ccntrAA_coef3d(i,k)
 ! lessivage courants insatures
-   if(k<=inb(i).and.k>1) then   ! tendances dans le nuage
+   IF(k<=inb(i).and.k>1) then   ! tendances dans le nuage
 !------------------------------------------------------------- detrainement
-      if(mp(i,k+1)>mp(i,k).and.mp(i,k+1)>1.e-10) then
+      IF(mp(i,k+1)>mp(i,k).and.mp(i,k+1)>1.e-10) THEN
         uscavtrac= (-mp(i,k)+mp(i,k+1))*(qDi(i,k,it)-tr(i,k,it))&
                    + mp(i,k)*(tr(i,k-1,it)-tr(i,k,it))
 
-!        if(it.eq.3) write(*,'(I2,1X,a,5X,e20.12,82X,a,e20.12)')k,' det incloud',&
+!        IF(it.eq.3) WRITE(*,'(I2,1X,a,5X,e20.12,82X,a,e20.12)')k,' det incloud',&
 !                    (-mp(i,k)+mp(i,k+1))*(qDi(i,k,it)-tr(i,k,it))*pdtimeRG/dxpres(i,k)+&
 !                    mp(i,k)*(tr(i,k-1,it)-tr(i,k,it))*pdtimeRG/dxpres(i,k),&
 !                    'mp',mp(i,k)
 !------------------------------------------------------------- entrainement 
-      elseif(mp(i,k)>mp(i,k+1).and.mp(i,k)>1.e-10) then
+      elseif(mp(i,k)>mp(i,k+1).and.mp(i,k)>1.e-10) THEN
          uscavtrac= mp(i,k)*(tr(i,k-1,it)-tr(i,k,it))
 
-!         if(it.eq.3) write(*,'(I2,1X,a,5X,e20.12,82X,a,e20.12)')k,' ent incloud',uscavtrac*pdtimeRG/dxpres(i,k), 'mp',mp(i,k)
+!         IF(it.eq.3) WRITE(*,'(I2,1X,a,5X,e20.12,82X,a,e20.12)')k,' ent incloud',uscavtrac*pdtimeRG/dxpres(i,k), 'mp',mp(i,k)
 !=!------------------------------------------------------------- end ent/det 
       else !        mp(i,k+1)=0. et mp(i,k)=0.    pluie directement sur l environnement
 
-        if(NO_precip(i,k)) then
+        IF(NO_precip(i,k)) THEN
           uscavtrac=0.
-!         if(it.eq.3) write(*,'(I2,1X,a,e20.12,82X,a,e20.12)')k,' no P ent incloud',uscavtrac*pdtimeRG/dxpres(i,k), 'mp',mp(i,k)
+!         IF(it.eq.3) WRITE(*,'(I2,1X,a,e20.12,82X,a,e20.12)')k,' no P ent incloud',uscavtrac*pdtimeRG/dxpres(i,k), 'mp',mp(i,k)
         else
           uscavtrac=-imp(i,k)*tr(i,k,it)*dxpres(i,k)/RG+evap(i,k)*qPr(i,k,it)*dxpres(i,k)/RG
-!         if(it.eq.3) write(*,'(I2,1X,a,3X,e20.12,82X,a,e20.12)')k,' P env incloud',uscavtrac*pdtimeRG/dxpres(i,k), 'mp',mp(i,k)
+!         IF(it.eq.3) WRITE(*,'(I2,1X,a,3X,e20.12,82X,a,e20.12)')k,' P env incloud',uscavtrac*pdtimeRG/dxpres(i,k), 'mp',mp(i,k)
 !!JE adds
-!         if(it.eq.3) write(*,'(I2,1X,a,3X,e20.12,82X,a,e20.12)')k,' P env incloud',uscavtrac, 'imp',imp(i,k)
-!         if(it.eq.3) write(*,'(I2,1X,a,3X,e20.12,82X,a,e20.12)')k,' P env incloud',uscavtrac, 'tr',tr(i,k,it)
-!         if(it.eq.3) write(*,'(I2,1X,a,3X,e20.12,82X,a,e20.12)')k,' P env incloud',uscavtrac, 'evap',evap(i,k)
-!         if(it.eq.3) write(*,'(I2,1X,a,3X,e20.12,82X,a,e20.12)')k,' P env incloud',uscavtrac, 'qPr',qPr(i,k,it)
-!         if(it.eq.3) write(*,'(I2,1X,a,3X,e20.12,82X,a,e20.12)')k,' P env incloud',uscavtrac, 'dxpres',dxpres(i,k)
+!         IF(it.eq.3) WRITE(*,'(I2,1X,a,3X,e20.12,82X,a,e20.12)')k,' P env incloud',uscavtrac, 'imp',imp(i,k)
+!         IF(it.eq.3) WRITE(*,'(I2,1X,a,3X,e20.12,82X,a,e20.12)')k,' P env incloud',uscavtrac, 'tr',tr(i,k,it)
+!         IF(it.eq.3) WRITE(*,'(I2,1X,a,3X,e20.12,82X,a,e20.12)')k,' P env incloud',uscavtrac, 'evap',evap(i,k)
+!         IF(it.eq.3) WRITE(*,'(I2,1X,a,3X,e20.12,82X,a,e20.12)')k,' P env incloud',uscavtrac, 'qPr',qPr(i,k,it)
+!         IF(it.eq.3) WRITE(*,'(I2,1X,a,3X,e20.12,82X,a,e20.12)')k,' P env incloud',uscavtrac, 'dxpres',dxpres(i,k)
 !!Je end
 
@@ -786,19 +786,19 @@
 !------------------------------------------------------------- premiere couche 
    elseif(k==1) then  !                                      mp(1)=0.
-      if(mp(i,2)>1.e-10) then  !detrainement
+      IF(mp(i,2)>1.e-10) then  !detrainement
          uscavtrac= (-0.+mp(i,2))*(qDi(i,k,it)-tr(i,k,it)) !&
 !                   + mp(i,2)*(0.-tr(i,k,it))
 
-!       if(it.eq.3) write(*,'(I2,1X,a,e20.12,84X,a,e20.12)')k,' 1 det',&
+!       IF(it.eq.3) WRITE(*,'(I2,1X,a,e20.12,84X,a,e20.12)')k,' 1 det',&
 !                  (-0.+mp(i,2))*(qDi(i,k,it)-tr(i,k,it))*pdtimeRG/dxpres(i,k)+&
 !                  mp(i,2)*(0.-tr(i,k,it))*pdtimeRG/dxpres(i,k),&
 !                   'mp',mp(i,k)
       else   ! mp(2) = 0 = mp(1) pas de descente insaturee, rien ne se passe s'il ne pleut pas, sinon pluie->env
-        if(NO_precip(i,1)) then
+        IF(NO_precip(i,1)) THEN
           uscavtrac=0.
         else
           uscavtrac=-imp(i,k)*tr(i,k,it)*dxpres(i,k)/RG+evap(i,k)*qPr(i,k,it)*dxpres(i,k)/RG
         endif
-!         if(it.eq.3) write(*,'(I2,1X,a,2X,e20.12,82X,a,e20.12)')k,'1 P env incloud',uscavtrac*pdtimeRG/dxpres(i,k), 'mp',mp(i,k)
+!         IF(it.eq.3) WRITE(*,'(I2,1X,a,2X,e20.12,82X,a,e20.12)')k,'1 P env incloud',uscavtrac*pdtimeRG/dxpres(i,k), 'mp',mp(i,k)
       endif
 
@@ -830,5 +830,5 @@
 !        (paprs(i,k)-paprs(i,k+1))/RG
 
-!      if(it.eq.3)  write(*,'(I2,2X,a,e20.12,2X,a,e20.12,2X,a,e20.12,2X,a,e20.12)') k,&
+!      IF(it.eq.3)  WRITE(*,'(I2,2X,a,e20.12,2X,a,e20.12,2X,a,e20.12,2X,a,e20.12)') k,&
 !         'MA td ',dtrcvMA(i,k,it)*dxpres(i,k)/RG,&
 !         ' td',dtrcv(i,k,it)*dxpres(i,k)/RG,'         conservMA ',conservMA,'conserv ',conserv
@@ -836,5 +836,5 @@
 !        ENDDO
 !      ENDDO
-!       if(it.eq.3) print *,'it',it,'conserv ',conserv,'conservMA ',conservMA
+!       IF(it.eq.3) print *,'it',it,'conserv ',conserv,'conservMA ',conservMA
 
 END SUBROUTINE cvltr_spl
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/cvltrorig.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/cvltrorig.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/cvltrorig.F90	(revision 5116)
@@ -79,5 +79,5 @@
      DO j=k-1,1,-1
         DO i=1,klon
-           if(mp(i,j+1)/=0) then
+           IF(mp(i,j+1)/=0) THEN
               zmd(i,j,k)=zmd(i,j+1,k)*min(1.,mp(i,j)/mp(i,j+1))
            ENDif
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/1D_interp_cases.h
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/1D_interp_cases.h	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/1D_interp_cases.h	(revision 5116)
@@ -32,5 +32,5 @@
 ! EV tg instead of ts_cur
              tg = ts_prof_cas
-             if ((tg .eq. 0.) .and. (tskin_prof_cas .ne. 0.)) then
+             if ((tg .eq. 0.) .and. (tskin_prof_cas .ne. 0.)) THEN
                 tg=tskin_prof_cas
               endif
@@ -78,5 +78,5 @@
       d_u_dyn_z(:)=0.
       d_v_dyn_z(:)=0.
-      if (1==0) then
+      if (1==0) THEN
          DO l=2,llm-1
           d_t_z(l)=(temp(l+1)-temp(l-1))/(play(l+1)-play(l-1))
@@ -132,5 +132,5 @@
 
 !geostrophic wind 
-      if (forc_geo.eq.1) then
+      if (forc_geo.eq.1) THEN
         do l=1,llm
         ug(l) = ug_mod_cas(l) 
@@ -160,5 +160,5 @@
 !! CONSERVE EN ATTENDANT QUE LE CAS EN QUESTION FONCTIONNE EN STD !!
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
-!if (forc_w==1) then
+!if (forc_w==1) THEN
 !          d_q_adv(l,1)=d_q_adv(l,1)-d_q_dyn_z(l)
 !          d_t_adv(l)=d_t_adv(l)-d_t_dyn_z(l)
@@ -168,5 +168,5 @@
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
          
-        if (trad.eq.1) then
+        if (trad.eq.1) THEN
            tend_rayo=1
            dt_cooling(l) = dtrad_mod_cas(l)
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/1D_read_forc_cases.h
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/1D_read_forc_cases.h	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/1D_read_forc_cases.h	(revision 5116)
@@ -12,13 +12,12 @@
 
       PRINT*,'FORCING ,forcing_SCM',forcing_SCM
-      if (forcing_SCM) then
-
-         write(*,*),'avant CALL read_SCM'
+      if (forcing_SCM) THEN
+         WRITE(*,*),'avant CALL read_SCM'
          CALL read_SCM_cas
-         write(*,*) 'Forcing read' 
+         WRITE(*,*) 'Forcing read'
 	 PRINT*,'PS ps_cas',ps_cas
 
 !Time interpolation for initial conditions using interpolation routine
-         write(*,*) 'AVT 1ere INTERPOLATION: day,day1 = ',daytime,day1   
+         WRITE(*,*) 'AVT 1ere INTERPOLATION: day,day1 = ',daytime,day1
         CALL interp_case_time_std(daytime,day1,annee_ref                                       &
 !    &       ,year_ini_cas,day_ju_ini_cas,nt_cas,pdt_cas,nlev_cas                           &
@@ -50,5 +49,5 @@
 
 ! vertical interpolation using interpolation routine:
-!      write(*,*)'avant interp vert', t_prof
+!      WRITE(*,*)'avant interp vert', t_prof
       CALL interp2_case_vertical_std(play,plev,nlev_cas,plev_prof_cas                                              &
      &         ,t_prof_cas,theta_prof_cas,thv_prof_cas,thl_prof_cas                                          &
@@ -77,8 +76,8 @@
 
       !initial surface temperature
-      if (tskin_prof_cas .NE. 0.) then
+      if (tskin_prof_cas .NE. 0.) THEN
       ! we take the first value of the prescribed ts
           tsurf=tskin_prof_cas
-      else if (ts_prof_cas .NE. 0) then
+      else if (ts_prof_cas .NE. 0) THEN
       ! if an initial ts value is present, we take it
           tsurf=ts_prof_cas
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/compar1d.h
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/compar1d.h	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/compar1d.h	(revision 5116)
@@ -2,31 +2,31 @@
 ! $Id: compar1d.h 2010-08-04 17:02:56Z lahellec $
 
-      integer :: forcing_type
-      integer :: tend_u,tend_v,tend_w,tend_t,tend_q,tend_rayo
-      real :: nudge_u,nudge_v,nudge_w,nudge_t,nudge_q
-      integer :: iflag_nudge
-      real :: nat_surf
-      real :: tsurf
-      real :: beta_surf
-      real :: rugos
-      real :: rugosh
-      real :: xqsol(1:2)
-      real :: qsurf
-      real :: psurf
-      real :: zsurf
-      real :: albedo
-      real :: snowmass
+      INTEGER :: forcing_type
+      INTEGER :: tend_u,tend_v,tend_w,tend_t,tend_q,tend_rayo
+      REAL :: nudge_u,nudge_v,nudge_w,nudge_t,nudge_q
+      INTEGER :: iflag_nudge
+      REAL :: nat_surf
+      REAL :: tsurf
+      REAL :: beta_surf
+      REAL :: rugos
+      REAL :: rugosh
+      REAL :: xqsol(1:2)
+      REAL :: qsurf
+      REAL :: psurf
+      REAL :: zsurf
+      REAL :: albedo
+      REAL :: snowmass
 
-      real :: time
-      real :: time_ini
-      real :: xlat 
-      real :: xlon 
-      real :: airefi
-      real :: wtsurf 
-      real :: wqsurf 
-      real :: restart_runoff 
-      real :: xagesno 
-      real :: qsolinp 
-      real :: zpicinp 
+      REAL :: time
+      REAL :: time_ini
+      REAL :: xlat
+      REAL :: xlon
+      REAL :: airefi
+      REAL :: wtsurf
+      REAL :: wqsurf
+      REAL :: restart_runoff
+      REAL :: xagesno
+      REAL :: qsolinp
+      REAL :: zpicinp
 
       logical :: restart
@@ -41,6 +41,6 @@
 ! Parametres de nudging en u,v,t,q valent 0 ou 1 ou le temps de nudging
 
-      integer :: tadv, tadvv, tadvh, qadv, qadvv, qadvh, thadv, thadvv, thadvh, trad
-      integer :: forc_omega, forc_u, forc_v, forc_w, forc_geo, forc_ustar
+      INTEGER :: tadv, tadvv, tadvh, qadv, qadvv, qadvh, thadv, thadvv, thadvh, trad
+      INTEGER :: forc_omega, forc_u, forc_v, forc_w, forc_geo, forc_ustar
       real    :: nudging_u, nudging_v, nudging_w, nudging_t, nudging_qv
       real    :: p_nudging_u, p_nudging_v, p_nudging_w, p_nudging_t, p_nudging_qv
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/date_cas.h
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/date_cas.h	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/date_cas.h	(revision 5116)
@@ -1,8 +1,8 @@
-      integer :: year_ini_cas    ! initial year of the case
-      integer :: mth_ini_cas     ! initial month of the case
-      integer :: day_deb         ! initial day of the case
-      real :: heure_ini_cas      ! start time of the case
-      real :: pdt_cas            ! forcing_frequency
-      real :: day_ju_ini_cas     ! julian day of initial day of the case
+      INTEGER :: year_ini_cas    ! initial year of the case
+      INTEGER :: mth_ini_cas     ! initial month of the case
+      INTEGER :: day_deb         ! initial day of the case
+      REAL :: heure_ini_cas      ! start time of the case
+      REAL :: pdt_cas            ! forcing_frequency
+      REAL :: day_ju_ini_cas     ! julian day of initial day of the case
 
       common /date_cas/year_ini_cas,mth_ini_cas,day_deb,heure_ini_cas,pdt_cas,day_ju_ini_cas
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/fcg_racmo.h
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/fcg_racmo.h	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/fcg_racmo.h	(revision 5116)
@@ -4,5 +4,5 @@
       real   :: a_guide 
       logical :: ok_invertp 
-      integer :: forc_trb
+      INTEGER :: forc_trb
       character*31 :: fich_racmo
 
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_1dutils.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_1dutils.f90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_1dutils.f90	(revision 5116)
@@ -42,6 +42,6 @@
     temp = kelvin
     pres = millibar * 100.0
-    !      write(*,*)'kelvin,millibar=',kelvin,millibar
-    !      write(*,*)'temp,pres=',temp,pres
+    !      WRITE(*,*)'kelvin,millibar=',kelvin,millibar
+    !      WRITE(*,*)'temp,pres=',temp,pres
 
     IF (temp <= rtt) THEN
@@ -642,59 +642,59 @@
     CALL getin('nudging_t', nudging_t)
 
-    write(lunout, *)' +++++++++++++++++++++++++++++++++++++++'
-    write(lunout, *)' Configuration des parametres du gcm1D: '
-    write(lunout, *)' +++++++++++++++++++++++++++++++++++++++'
-    write(lunout, *)' restart = ', restart
-    write(lunout, *)' forcing_type = ', forcing_type
-    write(lunout, *)' time_ini = ', time_ini
-    write(lunout, *)' rlat = ', xlat
-    write(lunout, *)' rlon = ', xlon
-    write(lunout, *)' airephy = ', airefi
-    write(lunout, *)' nat_surf = ', nat_surf
-    write(lunout, *)' tsurf = ', tsurf
-    write(lunout, *)' psurf = ', psurf
-    write(lunout, *)' zsurf = ', zsurf
-    write(lunout, *)' rugos = ', rugos
-    write(lunout, *)' snowmass=', snowmass
-    write(lunout, *)' wtsurf = ', wtsurf
-    write(lunout, *)' wqsurf = ', wqsurf
-    write(lunout, *)' albedo = ', albedo
-    write(lunout, *)' xagesno = ', xagesno
-    write(lunout, *)' restart_runoff = ', restart_runoff
-    write(lunout, *)' qsolinp = ', qsolinp
-    write(lunout, *)' zpicinp = ', zpicinp
-    write(lunout, *)' nudge_tsoil = ', nudge_tsoil
-    write(lunout, *)' isoil_nudge = ', isoil_nudge
-    write(lunout, *)' Tsoil_nudge = ', Tsoil_nudge
-    write(lunout, *)' tau_soil_nudge = ', tau_soil_nudge
-    write(lunout, *)' tadv =      ', tadv
-    write(lunout, *)' tadvv =     ', tadvv
-    write(lunout, *)' tadvh =     ', tadvh
-    write(lunout, *)' thadv =     ', thadv
-    write(lunout, *)' thadvv =    ', thadvv
-    write(lunout, *)' thadvh =    ', thadvh
-    write(lunout, *)' qadv =      ', qadv
-    write(lunout, *)' qadvv =     ', qadvv
-    write(lunout, *)' qadvh =     ', qadvh
-    write(lunout, *)' trad =      ', trad
-    write(lunout, *)' forc_omega = ', forc_omega
-    write(lunout, *)' forc_w     = ', forc_w
-    write(lunout, *)' forc_geo   = ', forc_geo
-    write(lunout, *)' forc_ustar = ', forc_ustar
-    write(lunout, *)' nudging_u  = ', nudging_u
-    write(lunout, *)' nudging_v  = ', nudging_v
-    write(lunout, *)' nudging_t  = ', nudging_t
-    write(lunout, *)' nudging_qv  = ', nudging_qv
+    WRITE(lunout, *)' +++++++++++++++++++++++++++++++++++++++'
+    WRITE(lunout, *)' Configuration des parametres du gcm1D: '
+    WRITE(lunout, *)' +++++++++++++++++++++++++++++++++++++++'
+    WRITE(lunout, *)' restart = ', restart
+    WRITE(lunout, *)' forcing_type = ', forcing_type
+    WRITE(lunout, *)' time_ini = ', time_ini
+    WRITE(lunout, *)' rlat = ', xlat
+    WRITE(lunout, *)' rlon = ', xlon
+    WRITE(lunout, *)' airephy = ', airefi
+    WRITE(lunout, *)' nat_surf = ', nat_surf
+    WRITE(lunout, *)' tsurf = ', tsurf
+    WRITE(lunout, *)' psurf = ', psurf
+    WRITE(lunout, *)' zsurf = ', zsurf
+    WRITE(lunout, *)' rugos = ', rugos
+    WRITE(lunout, *)' snowmass=', snowmass
+    WRITE(lunout, *)' wtsurf = ', wtsurf
+    WRITE(lunout, *)' wqsurf = ', wqsurf
+    WRITE(lunout, *)' albedo = ', albedo
+    WRITE(lunout, *)' xagesno = ', xagesno
+    WRITE(lunout, *)' restart_runoff = ', restart_runoff
+    WRITE(lunout, *)' qsolinp = ', qsolinp
+    WRITE(lunout, *)' zpicinp = ', zpicinp
+    WRITE(lunout, *)' nudge_tsoil = ', nudge_tsoil
+    WRITE(lunout, *)' isoil_nudge = ', isoil_nudge
+    WRITE(lunout, *)' Tsoil_nudge = ', Tsoil_nudge
+    WRITE(lunout, *)' tau_soil_nudge = ', tau_soil_nudge
+    WRITE(lunout, *)' tadv =      ', tadv
+    WRITE(lunout, *)' tadvv =     ', tadvv
+    WRITE(lunout, *)' tadvh =     ', tadvh
+    WRITE(lunout, *)' thadv =     ', thadv
+    WRITE(lunout, *)' thadvv =    ', thadvv
+    WRITE(lunout, *)' thadvh =    ', thadvh
+    WRITE(lunout, *)' qadv =      ', qadv
+    WRITE(lunout, *)' qadvv =     ', qadvv
+    WRITE(lunout, *)' qadvh =     ', qadvh
+    WRITE(lunout, *)' trad =      ', trad
+    WRITE(lunout, *)' forc_omega = ', forc_omega
+    WRITE(lunout, *)' forc_w     = ', forc_w
+    WRITE(lunout, *)' forc_geo   = ', forc_geo
+    WRITE(lunout, *)' forc_ustar = ', forc_ustar
+    WRITE(lunout, *)' nudging_u  = ', nudging_u
+    WRITE(lunout, *)' nudging_v  = ', nudging_v
+    WRITE(lunout, *)' nudging_t  = ', nudging_t
+    WRITE(lunout, *)' nudging_qv  = ', nudging_qv
     IF (forcing_type ==40) THEN
-      write(lunout, *) '--- Forcing type GCSS Old --- with:'
-      write(lunout, *)'imp_fcg', imp_fcg_gcssold
-      write(lunout, *)'ts_fcg', ts_fcg_gcssold
-      write(lunout, *)'tp_fcg', Tp_fcg_gcssold
-      write(lunout, *)'tp_ini', Tp_ini_gcssold
-      write(lunout, *)'xturb_fcg', xTurb_fcg_gcssold
+      WRITE(lunout, *) '--- Forcing type GCSS Old --- with:'
+      WRITE(lunout, *)'imp_fcg', imp_fcg_gcssold
+      WRITE(lunout, *)'ts_fcg', ts_fcg_gcssold
+      WRITE(lunout, *)'tp_fcg', Tp_fcg_gcssold
+      WRITE(lunout, *)'tp_ini', Tp_ini_gcssold
+      WRITE(lunout, *)'xturb_fcg', xTurb_fcg_gcssold
     ENDIF
 
-    write(lunout, *)' +++++++++++++++++++++++++++++++++++++++'
-    write(lunout, *)
+    WRITE(lunout, *)' +++++++++++++++++++++++++++++++++++++++'
+    WRITE(lunout, *)
 
   END SUBROUTINE conf_unicol
@@ -729,10 +729,10 @@
     CHARACTER*(*) fichnom
     !Al1 plev tronque pour .nc mais plev(klev+1):=0
-    real :: plev(klon, klev + 1), play (klon, klev), phi(klon, klev)
-    real :: presnivs(klon, klev)
-    real :: ucov(klon, klev), vcov(klon, klev), temp(klon, klev)
-    real :: q(klon, klev, nqtot), omega2(klon, klev)
-    !      real :: ug(klev),vg(klev),fcoriolis
-    real :: phis(klon)
+    REAL :: plev(klon, klev + 1), play (klon, klev), phi(klon, klev)
+    REAL :: presnivs(klon, klev)
+    REAL :: ucov(klon, klev), vcov(klon, klev), temp(klon, klev)
+    REAL :: q(klon, klev, nqtot), omega2(klon, klev)
+    !      REAL :: ug(klev),vg(klev),fcoriolis
+    REAL :: phis(klon)
 
     !   Variables locales pour NetCDF:
@@ -751,5 +751,5 @@
     !!      nmq(2)="cond"
     !!      do iq=3,nqtot
-    !!        write(nmq(iq),'("tra",i1)') iq-2
+    !!        WRITE(nmq(iq),'("tra",i1)') iq-2
     !!      enddo
     DO iq = 1, nqtot
@@ -862,11 +862,11 @@
     CHARACTER*(*) fichnom
     !Al1 plev tronque pour .nc mais plev(klev+1):=0
-    real :: plev(klon, klev), play (klon, klev), phi(klon, klev)
-    real :: presnivs(klon, klev)
-    real :: ucov(klon, klev), vcov(klon, klev), temp(klon, klev)
-    real :: q(klon, klev, nqtot)
-    real :: omega2(klon, klev), rho(klon, klev + 1)
-    !      real :: ug(klev),vg(klev),fcoriolis
-    real :: phis(klon)
+    REAL :: plev(klon, klev), play (klon, klev), phi(klon, klev)
+    REAL :: presnivs(klon, klev)
+    REAL :: ucov(klon, klev), vcov(klon, klev), temp(klon, klev)
+    REAL :: q(klon, klev, nqtot)
+    REAL :: omega2(klon, klev), rho(klon, klev + 1)
+    !      REAL :: ug(klev),vg(klev),fcoriolis
+    REAL :: phis(klon)
 
     !   Variables locales pour NetCDF:
@@ -1031,9 +1031,9 @@
     !         ierr    = severity of situation ( = 0 normal )
 
-    character(len = *) modname
+    CHARACTER(LEN = *) modname
     integer ierr
-    character(len = *) message
-
-    write(*, *) 'in abort_gcm'
+    CHARACTER(LEN = *) message
+
+    WRITE(*, *) 'in abort_gcm'
     CALL histclo
     !     CALL histclo(2)
@@ -1041,13 +1041,13 @@
     !     CALL histclo(4)
     !     CALL histclo(5)
-    write(*, *) 'out of histclo'
-    write(*, *) 'Stopping in ', modname
-    write(*, *) 'Reason = ', message
+    WRITE(*, *) 'out of histclo'
+    WRITE(*, *) 'Stopping in ', modname
+    WRITE(*, *) 'Reason = ', message
     CALL getin_dump
 
-    if (ierr == 0) then
-      write(*, *) 'Everything is cool'
+    if (ierr == 0) THEN
+      WRITE(*, *) 'Everything is cool'
     else
-      write(*, *) 'Houston, we have a problem ', ierr
+      WRITE(*, *) 'Houston, we have a problem ', ierr
     endif
     STOP
@@ -1296,5 +1296,5 @@
 
     do l = 1, llm
-      if(l==1) then
+      IF(l==1) THEN
         !si omgup pour la couche 1, alors tendance nulle
         omgdown = max(omega(2), 0.0)
@@ -1308,5 +1308,5 @@
         d_v_va(l) = -omgdown * (v(l) - v(l + 1)) / (play(l) - play(l + 1))
 
-      elseif(l==llm) then
+      elseif(l==llm) THEN
         omgup = min(omega(l), 0.0)
         alpha = rkappa * temp(l) * (1. + q(l, 1) * rv / rd) / (play(l) * (1. + q(l, 1)))
@@ -1415,5 +1415,5 @@
     d_t_va(llm) = -omup * dtdp(llm)!+omup*cor(llm)
 
-    !      if(abs(rlat(1))>10.) then
+    !      IF(abs(rlat(1))>10.) THEN
     !     Calculate the tendency due agestrophic motions
     !      du_age = fcoriolis*(v-vg)
@@ -1715,6 +1715,5 @@
     do l = 1, llm
 
-      if (play(l)>=plev_prof_cas(nlev_cas)) then
-
+      if (play(l)>=plev_prof_cas(nlev_cas)) THEN
         mxcalc = l
         !        print *,'debut interp2, mxcalc=',mxcalc
@@ -1722,8 +1721,7 @@
         k2 = 0
 
-        if (play(l)<=plev_prof_cas(1)) then
-
+        if (play(l)<=plev_prof_cas(1)) THEN
           do k = 1, nlev_cas - 1
-            if (play(l)<=plev_prof_cas(k).and. play(l)>plev_prof_cas(k + 1)) then
+            if (play(l)<=plev_prof_cas(k).and. play(l)>plev_prof_cas(k + 1)) THEN
               k1 = k
               k2 = k + 1
@@ -1731,9 +1729,9 @@
           enddo
 
-          if (k1==0 .or. k2==0) then
-            write(*, *) 'PB! k1, k2 = ', k1, k2
-            write(*, *) 'l,play(l) = ', l, play(l) / 100
+          if (k1==0 .or. k2==0) THEN
+            WRITE(*, *) 'PB! k1, k2 = ', k1, k2
+            WRITE(*, *) 'l,play(l) = ', l, play(l) / 100
             do k = 1, nlev_cas - 1
-              write(*, *) 'k,plev_prof_cas(k) = ', k, plev_prof_cas(k) / 100
+              WRITE(*, *) 'k,plev_prof_cas(k) = ', k, plev_prof_cas(k) / 100
             enddo
           endif
@@ -1742,5 +1740,5 @@
           t_mod_cas(l) = t_prof_cas(k2) - frac * (t_prof_cas(k2) - t_prof_cas(k1))
           theta_mod_cas(l) = th_prof_cas(k2) - frac * (th_prof_cas(k2) - th_prof_cas(k1))
-          if(theta_mod_cas(l)/=0) t_mod_cas(l) = theta_mod_cas(l) * (play(l) / 100000.)**(RD / RCPD)
+          IF(theta_mod_cas(l)/=0) t_mod_cas(l) = theta_mod_cas(l) * (play(l) / 100000.)**(RD / RCPD)
           thv_mod_cas(l) = thv_prof_cas(k2) - frac * (thv_prof_cas(k2) - thv_prof_cas(k1))
           thl_mod_cas(l) = thl_prof_cas(k2) - frac * (thl_prof_cas(k2) - thl_prof_cas(k1))
@@ -1780,5 +1778,5 @@
           t_mod_cas(l) = frac1 * t_prof_cas(k1) - frac2 * t_prof_cas(k2)
           theta_mod_cas(l) = frac1 * th_prof_cas(k1) - frac2 * th_prof_cas(k2)
-          if(theta_mod_cas(l)/=0) t_mod_cas(l) = theta_mod_cas(l) * (play(l) / 100000.)**(RD / RCPD)
+          IF(theta_mod_cas(l)/=0) t_mod_cas(l) = theta_mod_cas(l) * (play(l) / 100000.)**(RD / RCPD)
           thv_mod_cas(l) = frac1 * thv_prof_cas(k1) - frac2 * thv_prof_cas(k2)
           thl_mod_cas(l) = frac1 * thl_prof_cas(k1) - frac2 * thl_prof_cas(k2)
@@ -1851,5 +1849,5 @@
     enddo ! l
 
-    return
+    RETURN
   end
 
